SDL_FOURCC(3)

NAME
SDL_FOURCC - Define a four character code as a Uint32.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

#define SDL_FOURCC(A, B, C, D) \
    ((SDL_static_cast(Uint32, SDL_static_cast(Uint8, (A))) << 0) | \
     (SDL_static_cast(Uint32, SDL_static_cast(Uint8, (B))) << 8) | \
     (SDL_static_cast(Uint32, SDL_static_cast(Uint8, (C))) << 16) | \
     (SDL_static_cast(Uint32, SDL_static_cast(Uint8, (D))) << 24))

MACRO PARAMETERS

A   the first ASCII character.

B   the second ASCII character.

C   the third ASCII character.

D   the fourth ASCII character.

RETURN VALUE
Returns the four characters converted into a Uint32, one character per-byte.

THREAD SAFETY
It is safe to call this macro from any thread.

AVAILABILITY
This macro is available since SDL 3.2.0.